shishi_kdcreq_add_padata(3)

NAME
shishi_kdcreq_add_padata - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_add_padata(Shishi * handle, Shishi_asn1 kdcreq, int padatatype, const char * data, size_t datalen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ to add PA-DATA to.

int padatatype
    type of PA-DATA, see Shishi_padata_type.

const char * data
    input array with PA-DATA value.

size_t datalen
    size of input array with PA-DATA value.

DESCRIPTION
Add new pre authentication data (PA-DATA) to KDC-REQ. This is used to pass various information to KDC, such as in case of a SHISHI_PA_TGS_REQ padatatype the AP-REQ that authenticates the user to get the ticket. (But also see shishi_kdcreq_add_padata_tgs() which takes an AP-REQ directly.)

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.